net.corda.node.internal

## Class NetworkMapInfo

- net.corda.node.internal.NetworkMapInfo

-     public class NetworkMapInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkMapInfo(com.google.common.net.HostAndPort address, java.lang.String legalName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.net.HostAndPort` | `component1()`
    `java.lang.String` | `component2()`
    `NetworkMapInfo` | `copy(com.google.common.net.HostAndPort address, java.lang.String legalName)`
    `boolean` | `equals(java.lang.Object p)`
    `com.google.common.net.HostAndPort` | `getAddress()`
    `java.lang.String` | `getLegalName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NetworkMapInfo

          public NetworkMapInfo(com.google.common.net.HostAndPort address,
                                java.lang.String legalName)

  - ### Method Detail

    - #### getAddress

          public com.google.common.net.HostAndPort getAddress()

    - #### getLegalName

          public java.lang.String getLegalName()

    - #### component1

          public com.google.common.net.HostAndPort component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public NetworkMapInfo copy(com.google.common.net.HostAndPort address,
                                     java.lang.String legalName)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)